Skip to content

Snapshot a sandbox

POST/sandboxes/{id}/snapshot
path parameters
object
idstringrequired

Sandbox ID, e.g. sbx_ab12cd34.

Responses
201 CreatedCreated
SnapshotResponse
created_atstringdate-time
dirstring
idstring
mem_pathstring
memory_mibinteger
rootfs_pathstring
source_idstring
state_pathstring
vcpusinteger
400 Bad requestBad Request
ErrorResponse
errorstring
404 Not foundNot Found
ErrorResponse
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
POST/sandboxes/{id}/snapshot
cURL
curl '/sandboxes/{id}/snapshot' \
  -X POST
Response
201 Created
{
  "created_at": "2026-01-02T15:04:05Z",
  "dir": "string",
  "id": "string",
  "mem_path": "string",
  "memory_mib": 0,
  "rootfs_path": "string",
  "source_id": "string",
  "state_path": "string",
  "vcpus": 0
}
Was this page helpful?